## netcdf-ifc9 3.6.1-1

=== src/cxx/Makefile ===
# $Id: Makefile,v 1.20 2006/01/26 20:13:44 ed Exp $
#
#	Development Makefile for netcdf c++ interface
#

include ../macros.make

INCLUDES	= -I../libsrc -I. -I..

PACKING_LIST	= Makefile README depend example.c example.cpp \
		  nctst.cpp ncvalues.cpp ncvalues.h netcdf.cpp netcdfcpp.h \
		  netcdf.hh install-sh ref_nctst.cdl ref_nctst_64bit_offset.cdl

LIBRARY		= libnetcdf_c++.a
lib_netcdf	= ../libsrc/libnetcdf.a
ld_netcdf	= -L../libsrc -lnetcdf

HEADER1		= netcdfcpp.h
HEADER2		= ncvalues.h
HEADER3		= netcdf.hh

libs		=  $(LIBRARY) $(lib_netcdf) $(LIBS)

purify		= purify

LIB_OBJS	= netcdf.o ncvalues.o

# a test program that uses some of the draft C++ interface
prog		= nctst

prog_objs 	= nctst.o
GARBAGE		= $(prog) nctst_classic.nc nctst_classic.cdl nctst_64bit_offset.nc nctst_64bit_offset.cdl \
		  *.cps *.dvi *.fns \
		  *.log *~ *.gs *.aux *.cp *.fn *.ky *.pg *.toc *.tp *.vr

all:		$(LIBRARY) $(prog)

test:	 $(prog) FORCE
	./$(prog)
	../ncdump/ncdump -n ref_nctst nctst_classic.nc > nctst_classic.cdl
	../ncdump/ncdump -n ref_nctst nctst_64bit_offset.nc > nctst_64bit_offset.cdl
	cmp nctst_classic.cdl ref_nctst.cdl
	cmp nctst_64bit_offset.cdl ref_nctst_64bit_offset.cdl
	@echo "*** C++ test successful ***" ;

check: test

install:	$(LIBDIR)/$(LIBRARY) $(INCDIR)/$(HEADER1) $(INCDIR)/$(HEADER2)\
		$(INCDIR)/$(HEADER3)


uninstall:
	-rm -f $(LIBDIR)/$(LIBRARY)
	-rm -f $(INCDIR)/$(HEADER1)
	-rm -f $(INCDIR)/$(HEADER2)
	-rm -f $(INCDIR)/$(HEADER3)

$(prog) : $(prog_objs) $(LIBRARY) $(lib_netcdf)
	$(CXX) -o $@ $(CXXFLAGS) $(LDFLAGS) $(prog_objs) $(libs)

nctst_src: nctst.cpp netcdf.cpp ncvalues.cpp
	#load -I../libsrc $(nctst_src)
	#load -L../../lib ../../lib/libnetcdf.a
	#link

# dvips is part of the TeX package
dvips		= dvips
# texi2dvi and makeinfo are part of the texinfo package
texi2dvi	= texi2dvi
makeinfo	= makeinfo
# texi2html is available from http://wwwcn.cern.ch/dci/texi2html/
texi2html	= texi2html

print: nctst.cpp netcdfcpp.h netcdf.cpp ncvalues.h ncvalues.cpp
	vgrind -s11 -lC++ -t nctst.cpp netcdfcpp.h netcdf.cpp ncvalues.h \
				ncvalues.cpp | lpr
ps: cxxdoc.ps

info: cxxdoc.info

html: cxxdoc.html

cxxdoc.ps:	cxxdoc.tex
	$(texi2dvi) cxxdoc.tex
	$(dvips) -D 300 -o cxxdoc.ps cxxdoc.dvi

cxxdoc.info: cxxdoc.tex
	$(makeinfo) cxxdoc.tex

cxxdoc.html:	cxxdoc.tex
	$(texi2html) cxxdoc.tex

nctst.pure:	$(prog_objs)
	$(purify) $(LINK.cpp) $(prog_objs) $(libs) -o $@

include ../rules.make

netcdf.o: netcdfcpp.h ../libsrc/netcdf.h netcdf.cpp
ncvalues.o: ncvalues.h ncvalues.cpp
nctst.o: netcdfcpp.h nctst.cpp

include depend

=== src/man/Makefile ===

# This makefile builds netcdf documentation from texinfo source. The
# four *.texi files are the texinfo files, the *.info, *.txt, etc. are
# all generated from the texi source.

# Users need not generate their own documentation, as the latest
# version is available at the netcdf website
# http://www.unidata.ucar.edu/packages/netcdf

# If you do choose to run this makefile, make sure your makeinfo is
# reasonably up to date. Perl is used to added css link to all html
# pages, but if it fails that's no big deal. htmltidy is also run on
# the html files.

# Below I just check for the info version of each file, and if it's
# out of date, I regenerate all documentation for that manual. I would
# love to fancify this more, but it's Sunday morning and the little
# darlings are about to wake up, so this is no time to get interested
# in make!

# There once was a programmer named Ed,
# who carried build infomation in his head,
# as he aged he forgot,
# and forgot quit a lot,
# so now he uses Makefiles instead!

# $Id: Makefile,v 1.25 2006/01/31 18:30:04 ed Exp $

PACKING_LIST	= Makefile  netcdf.m4 netcdf-install.texi  \
		  netcdf.texi netcdf-c.texi netcdf-cxx.texi netcdf-f77.texi netcdf-f90.texi 
include ../macros.make

nmans = netcdf netcdf-install netcdf-c netcdf-f77 netcdf-f90 netcdf-cxx 
info_files = netcdf.info netcdf-f77.info netcdf-cxx.info netcdf-f90.info netcdf-c.info netcdf-install.info 
txt_files = netcdf.txt netcdf-f77.txt netcdf-cxx.txt netcdf-f90.txt netcdf-c.txt netcdf-install.txt 
html_files = netcdf.html netcdf-f77.html netcdf-cxx.html netcdf-f90.html netcdf-c.html netcdf-install.html
ps_files = netcdf.ps netcdf-f77.ps netcdf-cxx.ps netcdf-f90.ps netcdf-c.ps netcdf-install.ps 
dvi_files = netcdf.dvi netcdf-f77.dvi netcdf-cxx.dvi netcdf-f90.dvi netcdf-c.dvi netcdf-install.dvi
pdf_files = netcdf.pdf netcdf-f77.pdf netcdf-cxx.pdf netcdf-f90.pdf netcdf-c.pdf netcdf-install.pdf

all: $(info_files) $(txt_files) $(html_files) $(ps_files) $(dvi_files) $(pdf_files) netcdf-man-3.html netcdf-man-3f.html ncgen-man-1.html ncdump-man-1.html INSTALL

%.info : %.texi defines.texi
	makeinfo $<

%.pdf : %.texi defines.texi
	texi2pdf -q --output=$*.pdf $<

%.dvi: %.texi defines.texi
	texi2dvi -c -q $<

%.ps: %.texi %.dvi defines.texi
	dvips -q -o $*.ps $*.dvi

# I don't know why, but makeinfo swallows the "i" in @import. So I have two.
%.html : %.texi defines.texi
	echo "@iimport url(http://my.unidata.ucar.edu/themes/Unidata/style/style.css);">tmp.css
	makeinfo --css-include=tmp.css --html $<
	makeinfo --no-split --css-include=tmp.css --html $<
	-cd $*; tidy -meq *.html

%.txt : %.texi defines.texi
	makeinfo -o $*.txt --no-headers $<

# This isn't to install docs, it's to make the INSTALL doc.
INSTALL: netcdf-install.texi defines.texi
	makeinfo -o INSTALL --no-headers netcdf-install.texi
	cp INSTALL ..

# The man pages are made in libsrc/Makefile and fortran/Makefile too,
# when the distribution is made. Next version (4.0) they will only be
# made here. For this version (3.6.0), make them here so I can easily
# put them in the web site tarball.
netcdf.3: netcdf.m4
	$(M4) $(M4FLAGS) -DAPI=C $? >$@  || rm $@

netcdf-man-3.html: netcdf.3
	groff -man -Thtml $? > $@

ncgen-man-1.html: ../ncgen/ncgen.1
	groff -man -Thtml $? > $@

ncdump-man-1.html: ../ncdump/ncdump.1
	groff -man -Thtml $? > $@

netcdf.3f: netcdf.m4
	$(M4) $(M4FLAGS) -DAPI=FORTRAN $? >$@ || rm $@

netcdf-man-3f.html: netcdf.3f
	groff -man -Thtml $? > $@

# This isn't made by all, but tars up everything needed for the website
web-tarball: all 
	tar cf netcdf_info.tar *.info*
	gzip -f netcdf_info.tar
	zip netcdf_info *.info
	tar cf netcdf_pdf.tar *.pdf
	gzip -f netcdf_pdf.tar
	zip netcdf_pdf *.pdf
	tar cf netcdf_html.tar $(nmans)
	gzip -f netcdf_html.tar
	zip netcdf_html $(nmans)
	tar cf netcdf_txt.tar *.txt
	gzip -f netcdf_txt.tar
	zip netcdf_txt *.txt
	tar cf netcdf_man.tar netcdf.3 netcdf.3f -C ../ncdump ncdump.1 -C ../ncgen ncgen.1
	gzip -f netcdf_man.tar
	cp ../ncdump/ncdump.1 .
	cp ../ncgen/ncgen.1 .
	zip netcdf_man netcdf.3 netcdf.3f ncdump.1 ncgen.1
	rm ncdump.1 ncgen.1
	tar cf netcdf_docs.tar $(nmans) *.pdf *.txt *.html *.tar.gz *.zip
	gzip -f netcdf_docs.tar

clean_up:
	-rm *.info *.ps *.txt *.html tmp.css *.dvi *.log *.pdf *.tar.gz *.zip INSTALL netcdf.3 netcdf.3f
	-rm -rf $(nmans)

include ../rules.make

=== src/nc_test/Makefile ===
# Makefile for netCDF (semi)exhaustive test.
#
# $Id: Makefile,v 1.38 2006/01/30 18:56:02 ed Exp $

include ../macros.make
# M4FLAGS         = -s -B7168
# CC		= cc -fullwarn -woff 1209,1506

INCLUDES	= -I../libsrc -I..

ld_math		= $(MATHLIB)

SRCS		=   nc_test.c \
		    error.c \
		    test_get.c \
		    test_put.c \
		    test_read.c \
		    test_write.c \
		    util.c

OBJS		= $(SRCS:.c=.o)

lib_netcdf	= ../libsrc/libnetcdf.a
ld_netcdf	= -L../libsrc -lnetcdf

time_log	= times

GARBAGE		= nc_test nc_test_classic.nc nc_test_64bit.nc nc_test_netcdf4.nc scratch.nc lint.out $(time_log) large_files quick_large_files

PACKING_LIST	=  $(SRCS) \
		    test_get.m4 \
		    test_put.m4 \
		    error.h \
	            tests.h \
	            quick_large_files.c \
	            large_files.c \
		    depend	\
		    Makefile

MY_CFLAGS = -g -I../libsrc
MY_LDFLAGS = -L../libsrc
MY_LDLIBS = -lnetcdf

all:		nc_test

test:		nc_test
	./nc_test
	@echo '*** Success ***'

install:

uninstall:


nc_test:		$(OBJS) $(lib_netcdf)
	$(LINK.c) $(OBJS) $(lib_netcdf) $(ld_math) $(LIBS)

test_get.c:	test_get.m4

test_put.c:	test_put.m4

nctime:		nctime.o $(lib_netcdf)
	$(LINK.c) nctime.o $(ld_netcdf) $(ld_math) $(LIBS) 

time:	nctime
	time ./nctime 24 13 19 17 > $(time_log)
	awk -f timesum.awk < $(time_log)

sync_test:	nc_sync nc_sync_child
	PATH=$$PATH:. ./nc_sync

sync_programs:	nc_enddef nc_sync nc_sync_child

nc_enddef:	nc_enddef.o ../libsrc/libnetcdf.a
	$(LINK.c) -o $@ nc_enddef.o -L../libsrc -lnetcdf

nc_sync:	nc_sync.o ../libsrc/libnetcdf.a
	$(LINK.c) -o $@ nc_sync.o -L../libsrc -lnetcdf

nc_sync_child:	nc_sync_child.o ../libsrc/libnetcdf.a
	$(LINK.c) -o $@ nc_sync_child.o -L../libsrc -lnetcdf

quick_large_files: quick_large_files.c $(lib_netcdf)
	$(CC) $(CFLAGS) $(MY_CFLAGS) $(LDFLAGS) $(MY_LDFLAGS) $@.c -o $@ $(MY_LDLIBS)

large_files: large_files.c
	$(CC) $(CFLAGS) $(MY_CFLAGS) $(LDFLAGS) $(MY_LDFLAGS) $@.c -o $@ $(MY_LDLIBS)

# This tests whether large files can be written. It has nothing to do
# with netcdf. If you don't have /dev/zero this test will fail. If all
# the other large file tests pass, that's OK, but if any of them fail,
# you need to ensure that you can write very large files.
lfs_test:
	dd if=/dev/zero bs=1000000 count=3000 of=$(TEMP_LARGE)/largefile
	ls -l $(TEMP_LARGE)/largefile
	rm $(TEMP_LARGE)/largefile
	@echo '*** Success ***'

# This just does the quick large file tests. 
extra_test : quick_large_files
	./quick_large_files -f $(TEMP_LARGE)/example.nc
	-ls -l $(TEMP_LARGE)/example.nc 
	rm $(TEMP_LARGE)/example.nc
	@echo '*** Success ***'

# This does a slow test of a large file, by reading and then writing
# 4 GiB of data.
slow_test: large_files
	./large_files -f $(TEMP_LARGE)/example.nc
	-ls -l $(TEMP_LARGE)/example.nc
	rm $(TEMP_LARGE)/example.nc
	@echo '*** Success ***'

# Run all the large file tests we've got. Get a fresh cup of coffee
# and a donut, 'cause this takes a while!
all_large_tests: lfs_test extra_test slow_test

include ../rules.make
include depend

=== src/ncgen/Makefile ===
# Makefile for ncgen(1).
#
# $Id: Makefile,v 1.42 2006/01/30 18:56:02 ed Exp $

include ../macros.make

NCDUMP		= ../ncdump/ncdump
PROGRAM		= ncgen
INCLUDES	= -I../libsrc -I. -I..
MANUAL		= ncgen.1
GARBAGE		= $(PROGRAM) \
		  netcdf.inc \
		  c0.nc c1.cdl c1.nc c2.cdl \
		  f0.nc \
		  ctest.c ctest ctest0.nc ctest1.cdl \
		  ftest.f ftest ftest0.nc ftest1.cdl

lib_netcdf	= ../libsrc/libnetcdf.a
# Don't use "-L../libsrc -lnetcdf" in the following because that doesn't
# work on a CRAY T90 (sigh).
ld_netcdf	= $(lib_netcdf)

PACKING_LIST	= Makefile depend escapes.c generic.h \
		  ncgenyy.c ncgentab.c ncgentab.h \
		  genlib.c genlib.h getfill.c init.c load.c \
		  main.c ncgen.1 ncgen.h ncgen.l ncgen.y c0.cdl \
		  lfs-tests bigf1.cdl bigf2.cdl bigf3.cdl \
		  bigr1.cdl bigr2.cdl bigr3.cdl install-sh

OBJS		= main.o load.o ncgentab.o escapes.o \
		  getfill.o init.o genlib.o

lex		= flex
yacc		= yacc

program_srcs	= main.c load.c ncgentab.c escapes.c \
		  getfill.c init.c genlib.c

all:		$(PROGRAM)

test:           $(PROGRAM) b-test c-test f-test FORCE

install:	$(BINDIR)/$(PROGRAM) $(MANDIR)/man1/$(MANUAL)

uninstall:
	-rm -f $(BINDIR)/$(PROGRAM)
	-rm -f $(MANDIR)/man1/$(MANUAL)

$(PROGRAM):	$(OBJS) $(lib_netcdf)
	$(LINK.c) $(OBJS) $(ld_netcdf) $(LIBS) 

# "cat >" is used in the following rule to support linktree(1)-style
# development and testing. "mv" is used to support brain-damaged make(1)
# utilities that can't handle symbolic links and insist on regenerating
# the target files (e.g. OSF/1).
#
ncgentab.c \
ncgentab.h:	ncgen.y ncgenyy.c ncgen.h
	    echo 1>&2 "(expect 1 shift/reduce conflict)"; \
	    set -x; \
	    $(yacc) -d ncgen.y; \
	    cat y.tab.c >ncgentab.c && rm y.tab.c; \
	    cat y.tab.h >ncgentab.h && rm y.tab.h; \
	    set +x; 

# "cat >" is used in the following rule to support linktree(1)-style
# development and testing on a Solaris system.  "mv" is used to support
# brain-damaged make(1) utilities that can't handle symbolic links and
# insist on regenerating the target file (e.g. OSF/1).
#
ncgenyy.c:	ncgen.l
	@case `uname -sr` in \
	'SunOS 5'*) \
	    $(lex) ncgen.l; \
	    cat lex.yy.c >ncgenyy.c && rm lex.yy.c; \
	    ;; \
	*)  echo 1>&2 "Warning: $@ is out-of-date with respect to ncgen.l"; \
	    echo 1>&2 "Warning: It should be recreated via $(lex)" \
		"on a SunOS 5 system"; \
	    set -x; \
	    $(lex) ncgen.l; \
	    mv lex.yy.c ncgenyy.c; \
	    set +x; \
	    ;; \
	esac

vmstab.h \
vmstab.c:	ncgen.y
	@echo 1>&2 "$@ is out-of-date with respect to $?"
	@echo 1>&2 "It must be recreated via POSIX yacc(1) on a VMS system"
	false
vms_yy.c:	ncgenyy.c
	@echo 1>&2 "$@ is out-of-date with respect to $?"
	@echo 1>&2 "It must be recreated via POSIX lex(1) on a VMS system"
	false

#
# test "-b" option of ncgen
#
b-test:		$(PROGRAM) c1.cdl
	@./$(PROGRAM) -b c1.cdl && \
	$(NCDUMP) c1.nc > c2.cdl
	@if diff c1.cdl c2.cdl; then \
	    echo "*** $(PROGRAM) -b test successful ***"; \
	else \
	    echo "*** $(PROGRAM) -b test failed ***"; \
	    exit 1; \
	fi

#
# test "-c" option of ncgen
#
c-test:	$(PROGRAM) c1.cdl
	./$(PROGRAM) -c -o ctest0.nc c0.cdl > ctest.c && \
	$(CC) -o ctest $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) ctest.c $(ld_netcdf) $(LIBS) && \
	./ctest	&& \
	$(NCDUMP) -n c1 ctest0.nc > ctest1.cdl
	@if diff c1.cdl ctest1.cdl; then \
	    echo "*** $(PROGRAM) -c test successful ***"; \
	else \
	    echo "*** $(PROGRAM) -c test failed ***"; \
	    exit 1; \
	fi

c1.cdl:	$(PROGRAM) c0.cdl
	./$(PROGRAM) -b -o c0.nc c0.cdl
	$(NCDUMP) -n c1 c0.nc > $@

#
# test "-f" option of ncgen
#
f-test:	$(PROGRAM) c0.cdl c1.cdl
	@if [ -n "$(FC)" ]; then \
	    $(MAKE) $(MFLAGS) ftest1.cdl && \
	    if diff c1.cdl ftest1.cdl; then \
		echo "*** $(PROGRAM) -f test successful ***"; \
	    else \
		echo "*** $(PROGRAM) -f test failed ***"; \
		exit 1; \
	    fi; \
	else \
	    echo 1>&2 "\`$@' not made because no FORTRAN compiler"; \
	fi

ftest1.cdl: $(PROGRAM) c0.cdl netcdf.inc
	./$(PROGRAM) -f -o ftest0.nc c0.cdl > ftest.f
	$(COMPILE.f) ftest.f
	$(FC) $(FFLAGS) $(LDFLAGS) -o ftest ftest.o $(ld_netcdf) \
	    $(FLIBS) $(LIBS)
	./ftest
	$(NCDUMP) -n c1 ftest0.nc > ftest1.cdl

# Run large file tests. User should set TEMP_LARGE to some place with
# lots of disk space, otherwise current directory will be used.
extra_test:
	./lfs-tests $(TEMP_LARGE)
	@echo '*** Success ***'

netcdf.inc:
	@if [ -n "$(FC)" ]; then \
	    cp ../fortran/$@ .; \
	else \
	    echo 1>&2 "\`$@' not made because no FORTRAN compiler"; \
	fi

$(PROGRAM)_src : $(program_srcs)
	#setopt primary_language C
	#load -C $(CPPFLAGS) $(program_srcs)
	#load -C $(LIBS)
	#load -C /usr/lang/SC2.0.1/libansi.a
	#setopt program_name gribtonc

$(PROGRAM)_obj : $(program_srcs)
	#setopt primary_language C
	#load -C $(CPPFLAGS) $(OBJS)
	#load -C $(LIBS)
	#setopt program_name gribtonc

include ../rules.make

include depend

=== src/nctest/Makefile ===
# Makefile for netCDF (semi)exhaustive test.
#
# $Id: Makefile,v 1.21 2006/01/26 20:35:57 ed Exp $

include ../macros.make
# CC = cc -fullwarn -woff 1498,1692


INCLUDES	= -I../libsrc -I..
SRCS		= varget.c vargetg.c varput.c varputg.c vardef.c vartests.c \
		  vputget.c vputgetg.c driver.c cdftests.c dimtests.c rec.c \
		  atttests.c misctest.c add.c error.c emalloc.c val.c slabs.c
OBJS		= $(SRCS:.c=.o)
lib_netcdf	= ../libsrc/libnetcdf.a
ld_netcdf	= -L../libsrc -lnetcdf
time_log	= times
GARBAGE		= nctest lint.out test.nc test2.nc $(time_log) testfile.nc
PACKING_LIST	= \
		    add.c	\
		    add.h	\
		    atttests.c	\
		    cdftests.c	\
		    depend	\
		    dimtests.c	\
		    driver.c	\
		    emalloc.c	\
		    emalloc.h	\
		    error.c	\
		    error.h	\
		    Makefile	\
		    misctest.c	\
		    nctime.c	\
		    README	\
		    rec.c	\
		    slabs.c	\
		    testcdf.h	\
		    ref_nctest_classic.nc	\
		    ref_nctest_64bit_offset.nc	\
		    tests.h	\
		    timesum.awk	\
		    val.c	\
		    val.h	\
		    vardef.c	\
		    varget.c	\
		    vargetg.c	\
		    varput.c	\
		    varputg.c	\
		    vartests.c	\
		    vputget.c	\
		    vputgetg.c


all:		nctest

check: test

test:		nctest
	./nctest
	cmp nctest_classic.nc ref_nctest_classic.nc && cmp nctest_64bit_offset.nc ref_nctest_64bit_offset.nc

install:

uninstall:


nctest:		$(OBJS) $(lib_netcdf)
	$(LINK.c) $(OBJS) $(lib_netcdf) $(LIBS) $(ld_math)

nctime:		nctime.o $(lib_netcdf)
	$(LINK.c) $(CFLAGS) nctime.o $(ld_netcdf) $(LIBS) 

time:	nctime
	time ./nctime 24 13 19 17 > $(time_log)
	awk -f timesum.awk < $(time_log)

saber_src:
	#load -C $(CPPFLAGS) $(SRCS) $(ld_netcdf) $(LIBS)

include ../rules.make
include depend

## netcdf-ifc9 3.6.0-p1-1

=== debian/changelog ===
netcdf-ifc9 (3.6.0-p1-1) unstable; urgency=low

  * Initial Release.

 -- MASUO NAKANO <masuo@geo.kyushu-u.ac.jp>  Mon, 30 Jan 2006 16:06:11 +0900

=== debian/control ===
Source: netcdf-ifc9
Section: math
Priority: optional
Maintainer: MASUO NAKANO <masuo@geo.kyushu-u.ac.jp>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: netcdf-ifc9
Architecture: i386
Depends: 
Recommends: ifc(>=9) 
Description: NetCDF static library build with Intel Fortran compiler ver.9.
 Alternative developer's package of NetCDF. This package provides NetCDF static libraries for Intel Fortran compiler for Linux.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

EXT=ifc9
export FC=ifort
export FC=ifort
export CC=gcc
export CXX=g++
export CPPFLAGS=-DNAGf90Fortran
export F90FLAGS=

package=netcdf-$(EXT)
export DESTDIR=$(CURDIR)/debian/netcdf-$(EXT)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp
	dh_testdir
	cp debian/control.$(EXT) debian/control
	# Add here commands to configure the package.

	(cd src && export CC=$(CC) FC=$(FC) CXX=$(CXX) CPPFLAGS=$(CPPFLAGS) F90FLAGS=$(F90FLAGS) ; ./configure --prefix=$(DESTDIR))

build: build-stamp
	$(checkdir)

	(cd src && $(MAKE))
	touch build

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
#	$(MAKE)
	#docbook-to-man debian/netcdf-ifc9.sgml > netcdf-ifc9

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	cp debian/control.$(EXT) debian/control
	$(checkdir)
	-rm -f build
	(cd src && $(MAKE) distclean)
	-rm -f `find . -name "*~"`
	-rm -rf debian/netcdf-$(EXT) debian/files* core debian/substvars
	-rm -f src/work.* src/f90/*.d src/f90/work.*

	dh_clean 



install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/netcdf-ifc9.
	( cd src && $(MAKE) install  )
#DESTDIR=$(CURDIR)/debian/netcdf-$(EXT)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	$(checkdir)
	-rm -rf debian/netcdf-$(EXT)
	install -d debian/netcdf-$(EXT)
	cd debian/netcdf-$(EXT) && install -d `cat ../dirs`
	cp src/libsrc/libnetcdf.a debian/netcdf-$(EXT)/usr/lib/libnetcdf-$(EXT).a
	pwd

	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## netcdf-ifc9 3.6.1-1

=== debian/changelog ===
netcdf-ifc9 (3.6.1-1) unstable; urgency=low

  * New Upstream Release.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Fri,  5 Jan 2007 20:47:50 +0900
